Skip to main content
`Ctrl`+`K`

# PetscFEGetHeightSubspace

Get the subspace of this space for a mesh point of a given height

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetHeightSubspace(PetscFE fe, PetscInt height, PetscFE *subfe)

## Input Parameters

- fe - The finite element space

- height - The height of the `DMPLEX` point

## Output Parameter

- subfe - The subspace of this `PetscFE` space

## Note

For example, if we want the subspace of this space for a face, we would choose height = 1.

## See Also

`PetscFECreateDefault()`

## Level

advanced

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/dm/impls/plex/tutorials/ex8.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages